Scriptname _CNO_MCM extends SKI_ConfigBase

_CNO_MainScript Property MainScr Auto

Float Property Version Auto

Int oidRegisterOutfits
Int oidFindArmor
Int oidClearArmor
Int oidInteriorOnly
Bool Property InteriorOnly = False Auto
Int oidEnableLog
Bool Property EnableLog = True Auto
Int oidEnableDeadlyWenches
Bool Property EnableDeadlyWenches Auto
Int oidUpdateMod

Int oidBanditOutfit_1
Int oidBanditOutfit_2
Int oidBanditOutfit_3
Int oidBanditOutfit_4
Int oidBanditOutfit_5
Int Property BanditOutfitIndex_1 = -1 Auto
Int Property BanditOutfitIndex_2 = -1 Auto
Int Property BanditOutfitIndex_3 = -1 Auto
Int Property BanditOutfitIndex_4 = -1 Auto
Int Property BanditOutfitIndex_5 = -1 Auto
String BanditOutfitSavedName_1
String BanditOutfitSavedName_2
String BanditOutfitSavedName_3
String BanditOutfitSavedName_4
String BanditOutfitSavedName_5
Int Property BanditOutfitChance_1 = 0 Auto
Int Property BanditOutfitChance_2 = 0 Auto
Int Property BanditOutfitChance_3 = 0 Auto
Int Property BanditOutfitChance_4 = 0 Auto
Int Property BanditOutfitChance_5 = 0 Auto
Int oidBanditOutfitChance_1
Int oidBanditOutfitChance_2
Int oidBanditOutfitChance_3
Int oidBanditOutfitChance_4
Int oidBanditOutfitChance_5

Int oidForswornOutfit_1
Int oidForswornOutfit_2
Int oidForswornOutfit_3
Int oidForswornOutfit_4
Int oidForswornOutfit_5
Int Property ForswornOutfitIndex_1 = -1 Auto
Int Property ForswornOutfitIndex_2 = -1 Auto
Int Property ForswornOutfitIndex_3 = -1 Auto
Int Property ForswornOutfitIndex_4 = -1 Auto
Int Property ForswornOutfitIndex_5 = -1 Auto
String ForswornOutfitSavedName_1
String ForswornOutfitSavedName_2
String ForswornOutfitSavedName_3
String ForswornOutfitSavedName_4
String ForswornOutfitSavedName_5
Int Property ForswornOutfitChance_1 = 0 Auto
Int Property ForswornOutfitChance_2 = 0 Auto
Int Property ForswornOutfitChance_3 = 0 Auto
Int Property ForswornOutfitChance_4 = 0 Auto
Int Property ForswornOutfitChance_5 = 0 Auto
Int oidForswornOutfitChance_1
Int oidForswornOutfitChance_2
Int oidForswornOutfitChance_3
Int oidForswornOutfitChance_4
Int oidForswornOutfitChance_5

Int oidVampireOutfit_1
Int oidVampireOutfit_2
Int oidVampireOutfit_3
Int oidVampireOutfit_4
Int oidVampireOutfit_5
Int Property VampireOutfitIndex_1 = -1 Auto
Int Property VampireOutfitIndex_2 = -1 Auto
Int Property VampireOutfitIndex_3 = -1 Auto
Int Property VampireOutfitIndex_4 = -1 Auto
Int Property VampireOutfitIndex_5 = -1 Auto
String VampireOutfitSavedName_1
String VampireOutfitSavedName_2
String VampireOutfitSavedName_3
String VampireOutfitSavedName_4
String VampireOutfitSavedName_5
Int Property VampireOutfitChance_1 = 0 Auto
Int Property VampireOutfitChance_2 = 0 Auto
Int Property VampireOutfitChance_3 = 0 Auto
Int Property VampireOutfitChance_4 = 0 Auto
Int Property VampireOutfitChance_5 = 0 Auto
Int oidVampireOutfitChance_1
Int oidVampireOutfitChance_2
Int oidVampireOutfitChance_3
Int oidVampireOutfitChance_4
Int oidVampireOutfitChance_5

String[] AvailableOutfits

Event OnConfigInit()

	Version = 0.2

	Pages = new string[13]
	Pages[0] = "General"
	Pages[1] = "Bandits"
	Pages[2] = "Forsworn"
	Pages[3] = "Vampire"
	Pages[4] = "Deadly Wenches"
	Pages[5] = "Available Outfits"
	Pages[6] = "Available Outfits(2)"
	Pages[7] = "Available Outfits(3)"
	Pages[8] = "Available Outfits(4)"
	Pages[9] = "Supported Outfits"
	Pages[10] = "Supported Outfits(2)"
	Pages[11] = "Supported Outfits(3)"
	Pages[12] = "Supported Outfits(4)"
EndEvent

Event OnPageReset(string a_page)
	if a_page == "General"
		SetCursorFillMode(TOP_TO_BOTTOM)
		oidRegisterOutfits = AddTextOption("Register Outfits", "Click")
		oidFindArmor = AddTextOption("Scan mods", "Click")
		oidClearArmor = AddTextOption("Clear", "Click")
		oidInteriorOnly = AddToggleOption("Interior Only", InteriorOnly)
		oidEnableLog = AddToggleOption("Enable log", EnableLog)
		oidUpdateMod = AddTextOption("Update", "Click")
		SetCursorPosition(1)
		AddHeaderOption("Instructions")
		AddHeaderOption("1) Register Outfits")
		AddHeaderOption("2) Scan mods")
	elseif a_page == "Bandits"
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitList")
		AvailableOutfits = StorageUtil.StringListToArray(none, "CNO_InstalledOutfitList")
		if BanditOutfitSavedName_1 != ""
			if BanditOutfitSavedName_1 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_1)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", BanditOutfitSavedName_1)
				if TempIndex != -1
					BanditOutfitIndex_1 = TempIndex
				endif
			endif
		endif
		if BanditOutfitSavedName_2 != ""
			if BanditOutfitSavedName_2 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_2)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", BanditOutfitSavedName_2)
				if TempIndex != -1
					BanditOutfitIndex_2 = TempIndex
				endif
			endif
		endif
		if BanditOutfitSavedName_3 != ""
			if BanditOutfitSavedName_3 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_3)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", BanditOutfitSavedName_3)
				if TempIndex != -1
					BanditOutfitIndex_3 = TempIndex
				endif
			endif
		endif
		if BanditOutfitSavedName_4 != ""
			if BanditOutfitSavedName_4 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_4)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", BanditOutfitSavedName_4)
				if TempIndex != -1
					BanditOutfitIndex_4 = TempIndex
				endif
			endif
		endif
		if BanditOutfitSavedName_5 != ""
			if BanditOutfitSavedName_5 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_5)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", BanditOutfitSavedName_5)
				if TempIndex != -1
					BanditOutfitIndex_5 = TempIndex
				endif
			endif
		endif
		oidBanditOutfit_1 = AddMenuOption("Bandit Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_1))
		if BanditOutfitIndex_1 == -1
			oidBanditOutfitChance_1 = AddSliderOption("Outfit Weight", BanditOutfitChance_1, "{0}", OPTION_FLAG_DISABLED)
		else
			oidBanditOutfitChance_1 = AddSliderOption("Outfit Weight", BanditOutfitChance_1, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if BanditOutfitIndex_1 == -1 && BanditOutfitIndex_2 == -1
			oidBanditOutfit_2 = AddMenuOption("Bandit Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_2), OPTION_FLAG_DISABLED)
		else
			oidBanditOutfit_2 = AddMenuOption("Bandit Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_2))
		endif
		if BanditOutfitIndex_2 == -1
			oidBanditOutfitChance_2 = AddSliderOption("Outfit Weight", BanditOutfitChance_2, "{0}", OPTION_FLAG_DISABLED)
		else
			oidBanditOutfitChance_2 = AddSliderOption("Outfit Weight", BanditOutfitChance_2, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if BanditOutfitIndex_2 == -1 && BanditOutfitIndex_3 == -1
			oidBanditOutfit_3 = AddMenuOption("Bandit Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_3), OPTION_FLAG_DISABLED)
		else
			oidBanditOutfit_3 = AddMenuOption("Bandit Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_3))
		endif
		if BanditOutfitIndex_3 == -1
			oidBanditOutfitChance_3 = AddSliderOption("Outfit Weight", BanditOutfitChance_3, "{0}", OPTION_FLAG_DISABLED)
		else
			oidBanditOutfitChance_3 = AddSliderOption("Outfit Weight", BanditOutfitChance_3, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if BanditOutfitIndex_3 == -1 && BanditOutfitIndex_4 == -1
			oidBanditOutfit_4 = AddMenuOption("Bandit Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_4), OPTION_FLAG_DISABLED)
		else
			oidBanditOutfit_4 = AddMenuOption("Bandit Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_4))
		endif
		if BanditOutfitIndex_4 == -1
			oidBanditOutfitChance_4 = AddSliderOption("Outfit Weight", BanditOutfitChance_4, "{0}", OPTION_FLAG_DISABLED)
		else
			oidBanditOutfitChance_4 = AddSliderOption("Outfit Weight", BanditOutfitChance_4, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if BanditOutfitIndex_4 == -1 && BanditOutfitIndex_5 == -1
			oidBanditOutfit_5 = AddMenuOption("Bandit Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_5), OPTION_FLAG_DISABLED)
		else
			oidBanditOutfit_5 = AddMenuOption("Bandit Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_5))
		endif
		if BanditOutfitIndex_5 == -1
			oidBanditOutfitChance_5 = AddSliderOption("Outfit Weight", BanditOutfitChance_5, "{0}", OPTION_FLAG_DISABLED)
		else
			oidBanditOutfitChance_5 = AddSliderOption("Outfit Weight", BanditOutfitChance_5, "{0}")
		endif
	elseif a_page == "Forsworn"
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitList")
		AvailableOutfits = StorageUtil.StringListToArray(none, "CNO_InstalledOutfitList")
		if ForswornOutfitSavedName_1 != ""
			if ForswornOutfitSavedName_1 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_1)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", ForswornOutfitSavedName_1)
				if TempIndex != -1
					ForswornOutfitIndex_1 = TempIndex
				endif
			endif
		endif
		if ForswornOutfitSavedName_2 != ""
			if ForswornOutfitSavedName_2 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_2)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", ForswornOutfitSavedName_2)
				if TempIndex != -1
					ForswornOutfitIndex_2 = TempIndex
				endif
			endif
		endif
		if ForswornOutfitSavedName_3 != ""
			if ForswornOutfitSavedName_3 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_3)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", ForswornOutfitSavedName_3)
				if TempIndex != -1
					ForswornOutfitIndex_3 = TempIndex
				endif
			endif
		endif
		if ForswornOutfitSavedName_4 != ""
			if ForswornOutfitSavedName_4 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_4)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", ForswornOutfitSavedName_4)
				if TempIndex != -1
					ForswornOutfitIndex_4 = TempIndex
				endif
			endif
		endif
		if ForswornOutfitSavedName_5 != ""
			if ForswornOutfitSavedName_5 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_5)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", ForswornOutfitSavedName_5)
				if TempIndex != -1
					ForswornOutfitIndex_5 = TempIndex
				endif
			endif
		endif
		oidForswornOutfit_1 = AddMenuOption("Forsworn Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_1))
		if ForswornOutfitIndex_1 == -1
			oidForswornOutfitChance_1 = AddSliderOption("Outfit Weight", ForswornOutfitChance_1, "{0}", OPTION_FLAG_DISABLED)
		else
			oidForswornOutfitChance_1 = AddSliderOption("Outfit Weight", ForswornOutfitChance_1, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if ForswornOutfitIndex_1 == -1 && ForswornOutfitIndex_2 == -1
			oidForswornOutfit_2 = AddMenuOption("Forsworn Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_2), OPTION_FLAG_DISABLED)
		else
			oidForswornOutfit_2 = AddMenuOption("Forsworn Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_2))
		endif
		if ForswornOutfitIndex_2 == -1
			oidForswornOutfitChance_2 = AddSliderOption("Outfit Weight", ForswornOutfitChance_2, "{0}", OPTION_FLAG_DISABLED)
		else
			oidForswornOutfitChance_2 = AddSliderOption("Outfit Weight", ForswornOutfitChance_2, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if ForswornOutfitIndex_2 == -1 && ForswornOutfitIndex_3 == -1
			oidForswornOutfit_3 = AddMenuOption("Forsworn Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_3), OPTION_FLAG_DISABLED)
		else
			oidForswornOutfit_3 = AddMenuOption("Forsworn Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_3))
		endif
		if ForswornOutfitIndex_3 == -1
			oidForswornOutfitChance_3 = AddSliderOption("Outfit Weight", ForswornOutfitChance_3, "{0}", OPTION_FLAG_DISABLED)
		else
			oidForswornOutfitChance_3 = AddSliderOption("Outfit Weight", ForswornOutfitChance_3, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if ForswornOutfitIndex_3 == -1 && ForswornOutfitIndex_4 == -1
			oidForswornOutfit_4 = AddMenuOption("Forsworn Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_4), OPTION_FLAG_DISABLED)
		else
			oidForswornOutfit_4 = AddMenuOption("Forsworn Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_4))
		endif
		if ForswornOutfitIndex_4 == -1
			oidForswornOutfitChance_4 = AddSliderOption("Outfit Weight", ForswornOutfitChance_4, "{0}", OPTION_FLAG_DISABLED)
		else
			oidForswornOutfitChance_4 = AddSliderOption("Outfit Weight", ForswornOutfitChance_4, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if ForswornOutfitIndex_4 == -1 && ForswornOutfitIndex_5 == -1
			oidForswornOutfit_5 = AddMenuOption("Forsworn Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_5), OPTION_FLAG_DISABLED)
		else
			oidForswornOutfit_5 = AddMenuOption("Forsworn Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_5))
		endif
		if ForswornOutfitIndex_5 == -1
			oidForswornOutfitChance_5 = AddSliderOption("Outfit Weight", ForswornOutfitChance_5, "{0}", OPTION_FLAG_DISABLED)
		else
			oidForswornOutfitChance_5 = AddSliderOption("Outfit Weight", ForswornOutfitChance_5, "{0}")
		endif
	elseif a_page == "Vampire"
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitList")
		AvailableOutfits = StorageUtil.StringListToArray(none, "CNO_InstalledOutfitList")
		if VampireOutfitSavedName_1 != ""
			if VampireOutfitSavedName_1 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_1)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", VampireOutfitSavedName_1)
				if TempIndex != -1
					VampireOutfitIndex_1 = TempIndex
				endif
			endif
		endif
		if VampireOutfitSavedName_2 != ""
			if VampireOutfitSavedName_2 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_2)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", VampireOutfitSavedName_2)
				if TempIndex != -1
					VampireOutfitIndex_2 = TempIndex
				endif
			endif
		endif
		if VampireOutfitSavedName_3 != ""
			if VampireOutfitSavedName_3 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_3)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", VampireOutfitSavedName_3)
				if TempIndex != -1
					VampireOutfitIndex_3 = TempIndex
				endif
			endif
		endif
		if VampireOutfitSavedName_4 != ""
			if VampireOutfitSavedName_4 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_4)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", VampireOutfitSavedName_4)
				if TempIndex != -1
					VampireOutfitIndex_4 = TempIndex
				endif
			endif
		endif
		if VampireOutfitSavedName_5 != ""
			if VampireOutfitSavedName_5 != StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_5)
				Int TempIndex = StorageUtil.StringListFind(none, "CNO_InstalledOutfitList", VampireOutfitSavedName_5)
				if TempIndex != -1
					VampireOutfitIndex_5 = TempIndex
				endif
			endif
		endif
		oidVampireOutfit_1 = AddMenuOption("Vampire Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_1))
		if VampireOutfitIndex_1 == -1
			oidVampireOutfitChance_1 = AddSliderOption("Outfit Weight", VampireOutfitChance_1, "{0}", OPTION_FLAG_DISABLED)
		else
			oidVampireOutfitChance_1 = AddSliderOption("Outfit Weight", VampireOutfitChance_1, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if VampireOutfitIndex_1 == -1 && VampireOutfitIndex_2 == -1
			oidVampireOutfit_2 = AddMenuOption("Vampire Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_2), OPTION_FLAG_DISABLED)
		else
			oidVampireOutfit_2 = AddMenuOption("Vampire Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_2))
		endif
		if VampireOutfitIndex_2 == -1
			oidVampireOutfitChance_2 = AddSliderOption("Outfit Weight", VampireOutfitChance_2, "{0}", OPTION_FLAG_DISABLED)
		else
			oidVampireOutfitChance_2 = AddSliderOption("Outfit Weight", VampireOutfitChance_2, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if VampireOutfitIndex_2 == -1 && VampireOutfitIndex_3 == -1
			oidVampireOutfit_3 = AddMenuOption("Vampire Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_3), OPTION_FLAG_DISABLED)
		else
			oidVampireOutfit_3 = AddMenuOption("Vampire Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_3))
		endif
		if VampireOutfitIndex_3 == -1
			oidVampireOutfitChance_3 = AddSliderOption("Outfit Weight", VampireOutfitChance_3, "{0}", OPTION_FLAG_DISABLED)
		else
			oidVampireOutfitChance_3 = AddSliderOption("Outfit Weight", VampireOutfitChance_3, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if VampireOutfitIndex_3 == -1 && VampireOutfitIndex_4 == -1
			oidVampireOutfit_4 = AddMenuOption("Vampire Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_4), OPTION_FLAG_DISABLED)
		else
			oidVampireOutfit_4 = AddMenuOption("Vampire Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_4))
		endif
		if VampireOutfitIndex_4 == -1
			oidVampireOutfitChance_4 = AddSliderOption("Outfit Weight", VampireOutfitChance_4, "{0}", OPTION_FLAG_DISABLED)
		else
			oidVampireOutfitChance_4 = AddSliderOption("Outfit Weight", VampireOutfitChance_4, "{0}")
		endif
		AddEmptyOption()
		AddEmptyOption()
		if VampireOutfitIndex_4 == -1 && VampireOutfitIndex_5 == -1
			oidVampireOutfit_5 = AddMenuOption("Vampire Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_5), OPTION_FLAG_DISABLED)
		else
			oidVampireOutfit_5 = AddMenuOption("Vampire Outfit", StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_5))
		endif
		if VampireOutfitIndex_5 == -1
			oidVampireOutfitChance_5 = AddSliderOption("Outfit Weight", VampireOutfitChance_5, "{0}", OPTION_FLAG_DISABLED)
		else
			oidVampireOutfitChance_5 = AddSliderOption("Outfit Weight", VampireOutfitChance_5, "{0}")
		endif
	elseif a_page == "Deadly Wenches"
		if MainScr.DW_ON == True
			oidEnableDeadlyWenches = AddToggleOption("Enable Deadly Wenches", EnableDeadlyWenches)
		else
			AddHeaderOption("Deadly Wenches not installed", OPTION_FLAG_DISABLED)
		endif
	elseif a_page == "Available Outfits"
		Int TempInt = 0
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitSetList")
		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_InstalledOutfitSetList")
		Int CurrentIndex = 0
		While (CurrentIndex < ArrayLength) && TempInt < 100
			CurrentIndex += 1
			String OutfitSetName = StorageUtil.StringListGet(none, "CNO_InstalledOutfitSetList", CurrentIndex - 1)
			AddHeaderOption(OutfitSetName, OPTION_FLAG_DISABLED)
			TempInt += 1
		endwhile
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitList")
		ArrayLength = StorageUtil.StringListCount(none, "CNO_InstalledOutfitList")
		CurrentIndex = 0
		while (CurrentIndex < ArrayLength) && TempInt < 100
			CurrentIndex += 1
			String OutfitName = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", CurrentIndex - 1)
			if !StorageUtil.StringListHas(none, "CNO_InstalledOutfitSetList", OutfitName)
				AddHeaderOption(OutfitName, OPTION_FLAG_DISABLED)
				TempInt += 1
			endif
		endwhile
	elseif a_page == "Available Outfits(2)"
		Int TempInt = 0
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitSetList")
		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_InstalledOutfitSetList")
		if ArrayLength > 100
			Int CurrentIndex = 100
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitSetName = StorageUtil.StringListGet(none, "CNO_InstalledOutfitSetList", CurrentIndex - 1)
				AddHeaderOption(OutfitSetName, OPTION_FLAG_DISABLED)
				TempInt += 1
			endwhile
		endif
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitList")
		ArrayLength = StorageUtil.StringListCount(none, "CNO_InstalledOutfitList")
		if ArrayLength > 100
			Int CurrentIndex = 100
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitName = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", CurrentIndex - 1)
				if !StorageUtil.StringListHas(none, "CNO_InstalledOutfitSetList", OutfitName)
					AddHeaderOption(OutfitName, OPTION_FLAG_DISABLED)
					TempInt += 1
				endif
			endwhile
		endif
	elseif a_page == "Available Outfits(3)"
		Int TempInt = 0
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitSetList")
		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_InstalledOutfitSetList")
		if ArrayLength > 200
			Int CurrentIndex = 200
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitSetName = StorageUtil.StringListGet(none, "CNO_InstalledOutfitSetList", CurrentIndex - 1)
				AddHeaderOption(OutfitSetName, OPTION_FLAG_DISABLED)
				TempInt += 1
			endwhile
		endif
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitList")
		ArrayLength = StorageUtil.StringListCount(none, "CNO_InstalledOutfitList")
		if ArrayLength > 200
			Int CurrentIndex = 200
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitName = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", CurrentIndex - 1)
				if !StorageUtil.StringListHas(none, "CNO_InstalledOutfitSetList", OutfitName)
					AddHeaderOption(OutfitName, OPTION_FLAG_DISABLED)
					TempInt += 1
				endif
			endwhile
		endif
	elseif a_page == "Available Outfits(4)"
		Int TempInt = 0
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitSetList")
		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_InstalledOutfitSetList")
		if ArrayLength > 300
			Int CurrentIndex = 300
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitSetName = StorageUtil.StringListGet(none, "CNO_InstalledOutfitSetList", CurrentIndex - 1)
				AddHeaderOption(OutfitSetName, OPTION_FLAG_DISABLED)
				TempInt += 1
			endwhile
		endif
		StorageUtil.StringListSort(none, "CNO_InstalledOutfitList")
		ArrayLength = StorageUtil.StringListCount(none, "CNO_InstalledOutfitList")
		if ArrayLength > 300
			Int CurrentIndex = 300
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitName = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", CurrentIndex - 1)
				if !StorageUtil.StringListHas(none, "CNO_InstalledOutfitSetList", OutfitName)
					AddHeaderOption(OutfitName, OPTION_FLAG_DISABLED)
					TempInt += 1
				endif
			endwhile
		endif
	elseif a_page == "Supported Outfits"
		Int TempInt = 0
		StorageUtil.StringListSort(none, "CNO_SupportedOutfitSetList")
		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_SupportedOutfitSetList")
		Int CurrentIndex = 0
		While (CurrentIndex < ArrayLength) && TempInt < 100
			CurrentIndex += 1
			String OutfitSetName = StorageUtil.StringListGet(none, "CNO_SupportedOutfitSetList", CurrentIndex - 1)
			AddHeaderOption(OutfitSetName, OPTION_FLAG_DISABLED)
			TempInt += 1
		endwhile
		StorageUtil.StringListSort(none, "CNO_SupportedOutfitList")
		ArrayLength = StorageUtil.StringListCount(none, "CNO_SupportedOutfitList")
		CurrentIndex = 0
		while (CurrentIndex < ArrayLength) && TempInt < 100
			CurrentIndex += 1
			String OutfitName = StorageUtil.StringListGet(none, "CNO_SupportedOutfitList", CurrentIndex - 1)
			if !StorageUtil.StringListHas(none, "CNO_SupportedOutfitSetList", OutfitName)
				AddHeaderOption(OutfitName, OPTION_FLAG_DISABLED)
				TempInt += 1
			endif
		endwhile
	elseif a_page == "Supported Outfits(2)"
		Int TempInt = 0
		Int CurrentIndex
		StorageUtil.StringListSort(none, "CNO_SupportedOutfitSetList")
		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_SupportedOutfitSetList")
		if ArrayLength > 100
			CurrentIndex = 100
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitSetName = StorageUtil.StringListGet(none, "CNO_SupportedOutfitSetList", CurrentIndex - 1)
				AddHeaderOption(OutfitSetName, OPTION_FLAG_DISABLED)
				TempInt += 1
			endwhile
		else
			CurrentIndex = (100 - ArrayLength)
		endif
		StorageUtil.StringListSort(none, "CNO_SupportedOutfitList")
		ArrayLength = StorageUtil.StringListCount(none, "CNO_SupportedOutfitList")
		if ArrayLength > 100
;			CurrentIndex = 100
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitName = StorageUtil.StringListGet(none, "CNO_SupportedOutfitList", CurrentIndex - 1)
				if !StorageUtil.StringListHas(none, "CNO_SupportedOutfitSetList", OutfitName)
					AddHeaderOption(OutfitName, OPTION_FLAG_DISABLED)
					TempInt += 1
				endif
			endwhile
		endif
	elseif a_page == "Supported Outfits(3)"
		Int TempInt = 0
		Int CurrentIndex
		StorageUtil.StringListSort(none, "CNO_SupportedOutfitSetList")
		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_SupportedOutfitSetList")
		if ArrayLength > 200
			CurrentIndex = 200
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitSetName = StorageUtil.StringListGet(none, "CNO_SupportedOutfitSetList", CurrentIndex - 1)
				AddHeaderOption(OutfitSetName, OPTION_FLAG_DISABLED)
				TempInt += 1
			endwhile
		else
			CurrentIndex = (200 - ArrayLength)
		endif
		StorageUtil.StringListSort(none, "CNO_SupportedOutfitList")
		ArrayLength = StorageUtil.StringListCount(none, "CNO_SupportedOutfitList")
		if ArrayLength > 200
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitName = StorageUtil.StringListGet(none, "CNO_SupportedOutfitList", CurrentIndex - 1)
				if !StorageUtil.StringListHas(none, "CNO_SupportedOutfitSetList", OutfitName)
					AddHeaderOption(OutfitName, OPTION_FLAG_DISABLED)
					TempInt += 1
				endif
			endwhile
		endif
	elseif a_page == "Supported Outfits(4)"
		Int TempInt = 0
		Int CurrentIndex
		StorageUtil.StringListSort(none, "CNO_SupportedOutfitSetList")
		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_SupportedOutfitSetList")
		if ArrayLength > 300
			CurrentIndex = 300
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitSetName = StorageUtil.StringListGet(none, "CNO_SupportedOutfitSetList", CurrentIndex - 1)
				AddHeaderOption(OutfitSetName, OPTION_FLAG_DISABLED)
				TempInt += 1
			endwhile
		else
			CurrentIndex = (300 - ArrayLength)
		endif
		StorageUtil.StringListSort(none, "CNO_SupportedOutfitList")
		ArrayLength = StorageUtil.StringListCount(none, "CNO_SupportedOutfitList")
		if ArrayLength > 300
			While (CurrentIndex < ArrayLength) && TempInt < 100
				CurrentIndex += 1
				String OutfitName = StorageUtil.StringListGet(none, "CNO_SupportedOutfitList", CurrentIndex - 1)
				if !StorageUtil.StringListHas(none, "CNO_SupportedOutfitSetList", OutfitName)
					AddHeaderOption(OutfitName, OPTION_FLAG_DISABLED)
					TempInt += 1
				endif
			endwhile
		endif
		
		
;		StorageUtil.StringListSort(none, "CNO_SupportedOutfitSetList")
;		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_SupportedOutfitSetList")
;		Int CurrentIndex = 0
;		While CurrentIndex < ArrayLength
;			CurrentIndex += 1
;			String OutfitSetName = StorageUtil.StringListGet(none, "CNO_SupportedOutfitSetList", CurrentIndex - 1)
;			AddHeaderOption(OutfitSetName, OPTION_FLAG_DISABLED)
;		endwhile
;		StorageUtil.StringListSort(none, "CNO_SupportedOutfitList")
;		ArrayLength = StorageUtil.StringListCount(none, "CNO_SupportedOutfitList")
;		CurrentIndex = 0
;		While CurrentIndex < ArrayLength
;			CurrentIndex += 1
;			String OutfitName = StorageUtil.StringListGet(none, "CNO_SupportedOutfitList", CurrentIndex - 1)
;			AddHeaderOption(OutfitName, OPTION_FLAG_DISABLED)
;		endwhile
	endif
EndEvent

Event OnOptionSelect(Int Option)
	if Option == oidRegisterOutfits
		MainScr.RegScr.CreateRegOutfits()
		MainScr.RegisterOutfits()
	elseif Option == oidFindArmor
		MainScr.StartMod()
	elseif Option == oidClearArmor
		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_InstalledOutfitList")
		While ArrayLength > 0
			ArrayLength -= 1
			String TempString = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ArrayLength)
			StorageUtil.FormListClear(none, "CNO_InstalledOutfit_" + TempString)
		endwhile
		ArrayLength = StorageUtil.StringListCount(none, "CNO_InstalledOutfitSetList")
		While ArrayLength > 0
			ArrayLength -= 1
			String TempOutfitSetName = StorageUtil.StringListGet(none, "CNO_InstalledOutfitSetList", ArrayLength)
			StorageUtil.StringListClear(none, "CNO_InstalledOutfitSet_" + TempOutfitSetName)
		endwhile
		StorageUtil.StringListClear(none, "CNO_InstalledOutfitSetList")
		StorageUtil.StringListClear(none, "CNO_InstalledOutfitList")
		StorageUtil.StringListClear(none, "CNO_SupportedOutfitList")
		StorageUtil.StringListClear(none, "CNO_SupportedOutfitSetList")
		StorageUtil.StringListClear(none, "CNO_RegisteringOutfitList")
		StorageUtil.StringListClear(none, "CNO_RegisteringArmorNames")
		Int CleanArray = StorageUtil.StringListCount(none, "CNO_StringGarbageBin")
		While CleanArray > 0
			CleanArray -= 1
			String GarbageName = StorageUtil.StringListGet(none, "CNO_StringGarbageBin", CleanArray)
			MainScr.CNO_Log("[CNO] - MCM - Clean: " + GarbageName)
			StorageUtil.StringListClear(none, "GarbageName")
			StorageUtil.StringListRemove(none, "CNO_StringGarbageBin", GarbageName)
		endwhile
		MainScr.CNO_Log(StorageUtil.StringListCount(none, "CNO_StringGarbageBin"))
		BanditOutfitIndex_1 = -1
		BanditOutfitIndex_2 = -1
		BanditOutfitIndex_3 = -1
		BanditOutfitIndex_4 = -1
		BanditOutfitIndex_5 = -1
		BanditOutfitChance_1 = 0
		BanditOutfitChance_2 = 0
		BanditOutfitChance_3 = 0
		BanditOutfitChance_4 = 0
		BanditOutfitChance_5 = 0
		BanditOutfitSavedName_1 = ""
		BanditOutfitSavedName_2 = ""
		BanditOutfitSavedName_3 = ""
		BanditOutfitSavedName_4 = ""
		BanditOutfitSavedName_5 = ""
		StorageUtil.FormListClear(none, "CNO_SavedActors_Bandit")
		ForswornOutfitIndex_1 = -1
		ForswornOutfitIndex_2 = -1
		ForswornOutfitIndex_3 = -1
		ForswornOutfitIndex_4 = -1
		ForswornOutfitIndex_5 = -1
		ForswornOutfitChance_1 = 0
		ForswornOutfitChance_2 = 0
		ForswornOutfitChance_3 = 0
		ForswornOutfitChance_4 = 0
		ForswornOutfitChance_5 = 0
		ForswornOutfitSavedName_1 = ""
		ForswornOutfitSavedName_2 = ""
		ForswornOutfitSavedName_3 = ""
		ForswornOutfitSavedName_4 = ""
		ForswornOutfitSavedName_5 = ""
		StorageUtil.FormListClear(none, "CNO_SavedActors_Forsworn")
		VampireOutfitIndex_1 = -1
		VampireOutfitIndex_2 = -1
		VampireOutfitIndex_3 = -1
		VampireOutfitIndex_4 = -1
		VampireOutfitIndex_5 = -1
		VampireOutfitChance_1 = 0
		VampireOutfitChance_2 = 0
		VampireOutfitChance_3 = 0
		VampireOutfitChance_4 = 0
		VampireOutfitChance_5 = 0
		VampireOutfitSavedName_1 = ""
		VampireOutfitSavedName_2 = ""
		VampireOutfitSavedName_3 = ""
		VampireOutfitSavedName_4 = ""
		VampireOutfitSavedName_5 = ""
		StorageUtil.FormListClear(none, "CNO_SavedActors_Vampire")
		if EnableDeadlyWenches
			LeveledItem DW_Bandit_Melee2H_Lvl = Game.GetFormFromFile(0x00009717, "Deadly Wenches.esp") as LeveledItem
			LeveledItem DW_Bandit_Tank_Lvl = Game.GetFormFromFile(0x00009718, "Deadly Wenches.esp") as LeveledItem
			LeveledItem DW_Bandit_Mage_Lvl = Game.GetFormFromFile(0x00009719, "Deadly Wenches.esp") as LeveledItem
			LeveledItem DW_Bandit_MeleeL_Lvl = Game.GetFormFromFile(0x0000971A, "Deadly Wenches.esp") as LeveledItem
			LeveledItem DW_Bandit_Ranged_Lvl = Game.GetFormFromFile(0x0000971B, "Deadly Wenches.esp") as LeveledItem
			DW_Bandit_Melee2H_Lvl.Revert()
			DW_Bandit_Tank_Lvl.Revert()
			DW_Bandit_Mage_Lvl.Revert()
			DW_Bandit_MeleeL_Lvl.Revert()
			DW_Bandit_Ranged_Lvl.Revert()
			LeveledItem DW_Forsworn_Light = Game.GetFormFromFile(0x0000971D, "Deadly Wenches.esp") as LeveledItem
			LeveledItem DW_Forsworn_Cloths = Game.GetFormFromFile(0x0000971C, "Deadly Wenches.esp") as LeveledItem
			LeveledItem DW_Forsworn_Heavy = Game.GetFormFromFile(0x0000971E, "Deadly Wenches.esp") as LeveledItem
			DW_Forsworn_Light.Revert()
			DW_Forsworn_Cloths.Revert()
			DW_Forsworn_Heavy.Revert()
			LeveledItem DW_Vampire_Light = Game.GetFormFromFile(0x0001F0F7, "Deadly Wenches.esp") as LeveledItem
			LeveledItem DW_Vampire_Cloths = Game.GetFormFromFile(0x00009729, "Deadly Wenches.esp") as LeveledItem
			LeveledItem DW_Vampire_Heavy = Game.GetFormFromFile(0x00009728, "Deadly Wenches.esp") as LeveledItem
			DW_Vampire_Light.Revert()
			DW_Vampire_Cloths.Revert()
			DW_Vampire_Heavy.Revert()
		endif
	elseif option == oidInteriorOnly
		InteriorOnly = !InteriorOnly
		if InteriorOnly
			Game.GetPlayer().RemoveSpell(MainScr.DetectSpell)
		else
			Game.GetPlayer().AddSpell(MainScr.DetectSpell, False)
		endif
        SetToggleOptionValue(oidInteriorOnly, InteriorOnly)
	elseif option == oidEnableLog
		EnableLog = !EnableLog
		SetToggleOptionValue(oidEnableLog, EnableLog)
	elseif option == oidEnableDeadlyWenches
		EnableDeadlyWenches = !EnableDeadlyWenches
		SetToggleOptionValue(oidEnableDeadlyWenches, EnableDeadlyWenches)
	elseif option == oidUpdateMod
		if Version != 0.2
			Version = 0.2
			MainScr.PlayerAlias.ForceRefTo(Game.GetPlayer())
			Pages = new string[13]
			Pages[0] = "General"
			Pages[1] = "Bandits"
			Pages[2] = "Forsworn"
			Pages[3] = "Vampire"
			Pages[4] = "Deadly Wenches"
			Pages[5] = "Available Outfits"
			Pages[6] = "Available Outfits(2)"
			Pages[7] = "Available Outfits(3)"
			Pages[8] = "Available Outfits(4)"
			Pages[9] = "Supported Outfits"
			Pages[10] = "Supported Outfits(2)"
			Pages[11] = "Supported Outfits(3)"
			Pages[12] = "Supported Outfits(4)"
		endif
	endif
EndEvent

Event OnOptionSliderOpen(int opt)
	if opt == oidBanditOutfitChance_1
		SetSliderDialogStartValue(BanditOutfitChance_1)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidBanditOutfitChance_2
		SetSliderDialogStartValue(BanditOutfitChance_2)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidBanditOutfitChance_3
		SetSliderDialogStartValue(BanditOutfitChance_3)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidBanditOutfitChance_4
		SetSliderDialogStartValue(BanditOutfitChance_4)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidBanditOutfitChance_5
		SetSliderDialogStartValue(BanditOutfitChance_5)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidForswornOutfitChance_1
		SetSliderDialogStartValue(ForswornOutfitChance_1)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidForswornOutfitChance_2
		SetSliderDialogStartValue(ForswornOutfitChance_2)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidForswornOutfitChance_3
		SetSliderDialogStartValue(ForswornOutfitChance_3)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidForswornOutfitChance_4
		SetSliderDialogStartValue(ForswornOutfitChance_4)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidForswornOutfitChance_5
		SetSliderDialogStartValue(ForswornOutfitChance_5)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidVampireOutfitChance_1
		SetSliderDialogStartValue(VampireOutfitChance_1)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidVampireOutfitChance_2
		SetSliderDialogStartValue(VampireOutfitChance_2)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidVampireOutfitChance_3
		SetSliderDialogStartValue(VampireOutfitChance_3)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidVampireOutfitChance_4
		SetSliderDialogStartValue(VampireOutfitChance_4)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	elseif opt == oidVampireOutfitChance_5
		SetSliderDialogStartValue(VampireOutfitChance_5)
		SetSliderDialogDefaultValue(100.0)
		SetSliderDialogRange(0.0, 100.0)
		SetSliderDialogInterval(1)
	endif
EndEvent

event OnOptionMenuOpen(int opt)
	if (opt == oidBanditOutfit_1)
		SetMenuDialogStartIndex(BanditOutfitIndex_1)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidBanditOutfit_2)
		SetMenuDialogStartIndex(BanditOutfitIndex_2)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidBanditOutfit_3)
		SetMenuDialogStartIndex(BanditOutfitIndex_3)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidBanditOutfit_4)
		SetMenuDialogStartIndex(BanditOutfitIndex_4)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidBanditOutfit_5)
		SetMenuDialogStartIndex(BanditOutfitIndex_5)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidForswornOutfit_1)
		SetMenuDialogStartIndex(ForswornOutfitIndex_1)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidForswornOutfit_2)
		SetMenuDialogStartIndex(ForswornOutfitIndex_2)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidForswornOutfit_3)
		SetMenuDialogStartIndex(ForswornOutfitIndex_3)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidForswornOutfit_4)
		SetMenuDialogStartIndex(ForswornOutfitIndex_4)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidForswornOutfit_5)
		SetMenuDialogStartIndex(ForswornOutfitIndex_5)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidVampireOutfit_1)
		SetMenuDialogStartIndex(VampireOutfitIndex_1)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidVampireOutfit_2)
		SetMenuDialogStartIndex(VampireOutfitIndex_2)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidVampireOutfit_3)
		SetMenuDialogStartIndex(VampireOutfitIndex_3)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidVampireOutfit_4)
		SetMenuDialogStartIndex(VampireOutfitIndex_4)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	elseif (opt == oidVampireOutfit_5)
		SetMenuDialogStartIndex(VampireOutfitIndex_5)
		SetMenuDialogDefaultIndex(-1)
		SetMenuDialogOptions(AvailableOutfits)
	endIf
endevent

event OnOptionMenuAccept(int opt, int index)
	if (opt == oidBanditOutfit_1)
		BanditOutfitIndex_1 = index
		if BanditOutfitIndex_1 != -1
			MainScr.BuildOutfit("Bandits", 1, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_1))
			BanditOutfitSavedName_1 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_1)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Bandit")
		else
			BanditOutfitChance_1 = 0
			BanditOutfitSavedName_1 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[BanditOutfitIndex_1])
		ForcePageReset()
	elseif (opt == oidBanditOutfit_2)
		BanditOutfitIndex_2 = index
		if BanditOutfitIndex_2 != -1
			MainScr.BuildOutfit("Bandits", 2, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_2))
			BanditOutfitSavedName_2 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_2)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Bandit")
		else
			BanditOutfitChance_2 = 0
			BanditOutfitSavedName_2 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[BanditOutfitIndex_2])
		ForcePageReset()
	elseif (opt == oidBanditOutfit_3)
		BanditOutfitIndex_3 = index
		if BanditOutfitIndex_3 != -1
			MainScr.BuildOutfit("Bandits", 3, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_3))
			BanditOutfitSavedName_3 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_3)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Bandit")
		else
			BanditOutfitChance_3 = 0
			BanditOutfitSavedName_3 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[BanditOutfitIndex_3])
		ForcePageReset()
	elseif (opt == oidBanditOutfit_4)
		BanditOutfitIndex_4 = index
		if BanditOutfitIndex_4 != -1
			MainScr.BuildOutfit("Bandits", 4, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_4))
			BanditOutfitSavedName_4 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_4)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Bandit")
		else
			BanditOutfitChance_4 = 0
			BanditOutfitSavedName_4 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[BanditOutfitIndex_4])
		ForcePageReset()
	elseif (opt == oidBanditOutfit_5)
		BanditOutfitIndex_5 = index
		if BanditOutfitIndex_5 != -1
			MainScr.BuildOutfit("Bandits", 5, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_5))
			BanditOutfitSavedName_5 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", BanditOutfitIndex_5)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Bandit")
		else
			BanditOutfitChance_5 = 0
			BanditOutfitSavedName_5 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[BanditOutfitIndex_5])
		ForcePageReset()
	elseif (opt == oidForswornOutfit_1)
		ForswornOutfitIndex_1 = index
		if ForswornOutfitIndex_1 != -1
			MainScr.BuildOutfit("Forsworn", 1, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_1))
			ForswornOutfitSavedName_1 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_1)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Forsworn")
		else
			ForswornOutfitChance_1 = 0
			ForswornOutfitSavedName_1 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[ForswornOutfitIndex_1])
		ForcePageReset()
	elseif (opt == oidForswornOutfit_2)
		ForswornOutfitIndex_2 = index
		if ForswornOutfitIndex_2 != -1
			MainScr.BuildOutfit("Forsworn", 2, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_2))
			ForswornOutfitSavedName_2 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_2)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Forsworn")
		else
			ForswornOutfitChance_2 = 0
			ForswornOutfitSavedName_2 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[ForswornOutfitIndex_2])
		ForcePageReset()
	elseif (opt == oidForswornOutfit_3)
		ForswornOutfitIndex_3 = index
		if ForswornOutfitIndex_3 != -1
			MainScr.BuildOutfit("Forsworn", 3, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_3))
			ForswornOutfitSavedName_3 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_3)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Forsworn")
		else
			ForswornOutfitChance_3 = 0
			ForswornOutfitSavedName_3 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[ForswornOutfitIndex_3])
		ForcePageReset()
	elseif (opt == oidForswornOutfit_4)
		ForswornOutfitIndex_4 = index
		if ForswornOutfitIndex_4 != -1
			MainScr.BuildOutfit("Forsworn", 4, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_4))
			ForswornOutfitSavedName_4 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_4)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Forsworn")
		else
			ForswornOutfitChance_4 = 0
			ForswornOutfitSavedName_4 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[ForswornOutfitIndex_4])
		ForcePageReset()
	elseif (opt == oidForswornOutfit_5)
		ForswornOutfitIndex_5 = index
		if ForswornOutfitIndex_5 != -1
			MainScr.BuildOutfit("Forsworn", 5, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_5))
			ForswornOutfitSavedName_5 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", ForswornOutfitIndex_5)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Forsworn")
		else
			ForswornOutfitChance_5 = 0
			ForswornOutfitSavedName_5 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[ForswornOutfitIndex_5])
		ForcePageReset()
	elseif (opt == oidVampireOutfit_1)
		VampireOutfitIndex_1 = index
		if VampireOutfitIndex_1 != -1
			MainScr.BuildOutfit("Vampire", 1, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_1))
			VampireOutfitSavedName_1 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_1)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Vampire")
		else
			VampireOutfitChance_1 = 0
			VampireOutfitSavedName_1 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[VampireOutfitIndex_1])
		ForcePageReset()
	elseif (opt == oidVampireOutfit_2)
		VampireOutfitIndex_2 = index
		if VampireOutfitIndex_2 != -1
			MainScr.BuildOutfit("Vampire", 2, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_2))
			VampireOutfitSavedName_2 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_2)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Vampire")
		else
			VampireOutfitChance_2 = 0
			VampireOutfitSavedName_2 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[VampireOutfitIndex_2])
		ForcePageReset()
	elseif (opt == oidVampireOutfit_3)
		VampireOutfitIndex_3 = index
		if VampireOutfitIndex_3 != -1
			MainScr.BuildOutfit("Vampire", 3, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_3))
			VampireOutfitSavedName_3 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_3)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Vampire")
		else
			VampireOutfitChance_3 = 0
			VampireOutfitSavedName_3 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[VampireOutfitIndex_3])
		ForcePageReset()
	elseif (opt == oidVampireOutfit_4)
		VampireOutfitIndex_4 = index
		if VampireOutfitIndex_4 != -1
			MainScr.BuildOutfit("Vampire", 4, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_4))
			VampireOutfitSavedName_4 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_4)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Vampire")
		else
			VampireOutfitChance_4 = 0
			VampireOutfitSavedName_4 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[VampireOutfitIndex_4])
		ForcePageReset()
	elseif (opt == oidVampireOutfit_5)
		VampireOutfitIndex_5 = index
		if VampireOutfitIndex_5 != -1
			MainScr.BuildOutfit("Vampire", 5, StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_5))
			VampireOutfitSavedName_5 = StorageUtil.StringListGet(none, "CNO_InstalledOutfitList", VampireOutfitIndex_5)
			StorageUtil.FormListClear(none, "CNO_SavedActors_Vampire")
		else
			VampireOutfitChance_5 = 0
			VampireOutfitSavedName_5 = ""
		endif
		SetMenuOptionValue(opt, AvailableOutfits[VampireOutfitIndex_5])
		ForcePageReset()
	endif
Endevent

Event OnOptionSliderAccept(int opt, float val)
	If opt == oidBanditOutfitChance_1
		BanditOutfitChance_1 = val as Int
		SetSliderOptionValue(opt, BanditOutfitChance_1, "{0}")
	elseif opt == oidBanditOutfitChance_2
		BanditOutfitChance_2 = val as Int
		SetSliderOptionValue(opt, BanditOutfitChance_2, "{0}")
	elseif opt == oidBanditOutfitChance_3
		BanditOutfitChance_3 = val as Int
		SetSliderOptionValue(opt, BanditOutfitChance_3, "{0}")
	elseif opt == oidBanditOutfitChance_4
		BanditOutfitChance_4 = val as Int
		SetSliderOptionValue(opt, BanditOutfitChance_4, "{0}")
	elseif opt == oidBanditOutfitChance_5
		BanditOutfitChance_5 = val as Int
		SetSliderOptionValue(opt, BanditOutfitChance_5, "{0}")
	elseif opt == oidForswornOutfitChance_1
		ForswornOutfitChance_1 = val as Int
		SetSliderOptionValue(opt, ForswornOutfitChance_1, "{0}")
	elseif opt == oidForswornOutfitChance_2
		ForswornOutfitChance_2 = val as Int
		SetSliderOptionValue(opt, ForswornOutfitChance_2, "{0}")
	elseif opt == oidForswornOutfitChance_3
		ForswornOutfitChance_3 = val as Int
		SetSliderOptionValue(opt, ForswornOutfitChance_3, "{0}")
	elseif opt == oidForswornOutfitChance_4
		ForswornOutfitChance_4 = val as Int
		SetSliderOptionValue(opt, ForswornOutfitChance_4, "{0}")
	elseif opt == oidForswornOutfitChance_5
		ForswornOutfitChance_5 = val as Int
		SetSliderOptionValue(opt, ForswornOutfitChance_5, "{0}")
	elseif opt == oidVampireOutfitChance_1
		VampireOutfitChance_1 = val as Int
		SetSliderOptionValue(opt, VampireOutfitChance_1, "{0}")
	elseif opt == oidVampireOutfitChance_2
		VampireOutfitChance_2 = val as Int
		SetSliderOptionValue(opt, VampireOutfitChance_2, "{0}")
	elseif opt == oidVampireOutfitChance_3
		VampireOutfitChance_3 = val as Int
		SetSliderOptionValue(opt, VampireOutfitChance_3, "{0}")
	elseif opt == oidVampireOutfitChance_4
		VampireOutfitChance_4 = val as Int
		SetSliderOptionValue(opt, VampireOutfitChance_4, "{0}")
	elseif opt == oidVampireOutfitChance_5
		VampireOutfitChance_5 = val as Int
		SetSliderOptionValue(opt, VampireOutfitChance_5, "{0}")
	endif
EndEvent

Event OnOptionHighlight(int option)
    if option == oidRegisterOutfits
		SetInfoText("Register new oufits. Supported outfits and outfit sets will be added to 'Supported Outfits' page.")
	elseif option == oidFindArmor
		SetInfoText("Begin scanning other mods for registered(supported) outfits. If CNO finds an outfit it will be added to 'Available Outfits' page. Depending on amount of mods you have this process may take up to several minutes. You will receive a confirmation when scan is complete. ")
	elseif option == oidClearArmor
		SetInfoText("Reset mod, clear stored information. Use this before uninstalling CNO to delete unused info.")
	elseif option == oidInteriorOnly
		SetInfoText("Change NPCs outfits in interior(dungeons, ruins, crypts, caves, etc.) locations only. Use it in case CNO is causing annoying freezes in the wilderness.")
	endif
EndEvent

